import { EventEmitter } from '@angular/core';
import { CalendarDayModel } from './calendar.model';
export declare class CalendarComponent {
    onSelectDayEmmiter: EventEmitter<CalendarDayModel>;
    onBlurEmitter: EventEmitter<void>;
    currentMonth: string;
    currentYear: number;
    weekDays: Array<string>;
    selectedDay: CalendarDayModel;
    weeks: Array<Array<CalendarDayModel>>;
    date: Date;
    months: Array<string>;
    constructor();
    getWeekDays(): Array<string>;
    getMonths(): Array<string>;
    generateWeeks(month: number, year: number): any[];
    createDay(date: Date, currentDayNumber: number): CalendarDayModel;
    showPrevMonth(): void;
    showNextMonth(): void;
    generateIsoDate(date: Date): string;
    onSelectDay(day: CalendarDayModel): void;
    onBlur(event: any): void;
}
